{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function memberof, send_message\r\n$insert logical\r\nequ CrLf$ to char(13):char(10)\r\n\r\nif memberof( @user4, 'SUPERVISOR' ) then\r\n   Void = send_message( @window:'.REJ_INFO', 'COLSTYLE', 4, 385 )\r\nend\r\nNCRPriorWarn = field( CreateParam, char(245), 2 )\r\nCreateParam  = field( CreateParam, char(245), 1 )\r\nVoid = set_property( @window, '@NCRPriorWarn', NCRPriorWarn )\r\n* THE ABOVE LINE SIMPLY SETS A FLAG SAYING THAT IF TRUE THEY ARE BACK\r\n* IN HERE DUE TO A PRIOR CHANGE WITHOUT SAVING THE RDS AND RDS IS FORCING\r\n* A SAVE CAUSE AN NCR HAS BEEN AFFECTED\r\nconvert '*' to @fm in CreateParam\r\nRejInfoArray = ''\r\nRejType      = field( CreateParam<1>, ' ', 1, 3 )\r\nRejQty       = CreateParam<2>\r\nRejects      = CreateParam<3>\r\nLossCodes    = CreateParam<4>\r\nAssignCauses = CreateParam<5>\r\nNCRIds       = CreateParam<6>\r\nRDSId        = CreateParam<7>\r\nRejField     = CreateParam<8>\r\nTNCRIds = NCRIds\r\nconvert @vm to '' in TNCRIds\r\nif ( TNCRIds <> '' ) then\r\n   .ncr_view->visible  = true$\r\n   .ncr_label->visible = true$\r\n   .ncr_box->visible   = true$\r\nend\r\nVoid = set_property( @window, '@RDSId', RDSId )\r\nVoid = set_property( @window, '@RejField', RejField )\r\nTRejType = RejType\r\nswap ' ' with CrLf$ in TRejType\r\nTRejType = RejQty:' ':TRejType\r\n.rej_type_label->text = TRejType\r\nRejInfoArray<1> = Rejects\r\nRejInfoArray<2> = LossCodes\r\nRejInfoArray<3> = xlate( 'LOSS_CODES', LossCodes, 'DESC', 'X' )\r\nRejInfoArray<4> = AssignCauses\r\nRejInfoArray<5> = xlate( 'ASSIGN_CAUSE', AssignCauses, 'ASSIGN_CAUSE_DESC', 'X' )\r\nRejInfoArray<6> = NCRIds\r\nVoid = set_property( @window, '@OrigRejInfo', RejInfoArray )\r\nVoid = set_property( @window, '@RejQty', RejQty )\r\nVoid = set_property( @window, '@RejType', RejType )\r\nVoid = set_property( @window, '@NCRsToDelete', '' )\r\nVoid = set_property( @window, '@RejCntToDelete', '' )\r\nVoid = set_property( @window, '@RejLossToDelete', '' )\r\nVoid = set_property( @window, '@RejACToDelete', '' )\r\n* RejQty used to make sure that they account for that many rejects\r\n* no more no less\r\n.rej_info->array = RejInfoArray\r\nRETURN 0"
        }
    }
}